Catalog
CatalogInfo object
- namestring
Name of catalog.
- ownerstring
Username of current owner of catalog.
- commentstring
User-provided free-form text description.
- storage_rootstring
Storage root URL for managed tables within catalog.
- enable_predictive_optimizationstring
Whether predictive optimization should be enabled for this object and objects under it.
- catalog_typestring
- provider_namestring
The name of delta sharing provider.
A Delta Sharing catalog is a catalog that is based on a Delta share on a remote sharing server.
- connection_namestring
The name of the connection to an external data source.
- metastore_idstring
Unique identifier of parent metastore.
- created_atint64
Time at which this catalog was created, in epoch milliseconds.
- created_bystring
Username of catalog creator.
- updated_atint64
Time at which this catalog was last modified, in epoch milliseconds.
- updated_bystring
Username of user who last modified catalog.
- storage_locationstring
Storage Location URL (full path) for managed tables within catalog.
- isolation_modestring
Whether the current securable is accessible from all workspaces or a specific set of workspaces.
- effective_predictive_optimization_flagobject
Show child attributesHide child attributes
- valuestring
Whether predictive optimization should be enabled for this object and objects under it.
- inherited_from_typestring
The type of the object from which the flag was inherited. If there was no inheritance, this field is left blank.
- inherited_from_namestring
The name of the object from which the flag was inherited. If there was no inheritance, this field is left blank.
- browse_onlyboolean
Indicates whether the principal is limited to retrieving metadata for the associated object through the BROWSE privilege when include_browse is enabled in the request.
- provisioning_infoobject
Show child attributesHide child attributes
- statestring
The provisioning state of the resource.
- full_namestring
The full name of the catalog. Corresponds with the name field.
- securable_typestring
- custom_max_retention_hoursint64Public Preview
Custom maximum retention period in hours for the catalog
- managed_encryption_settingsobject
Control CMK encryption for managed catalog data
Show child attributesHide child attributes
- customer_managed_key_idstring
the CMK uuid in AWS and GCP, null otherwise.
- azure_key_vault_key_idstring
the AKV URL in Azure, null otherwise.
- azure_encryption_settingsobject
optional Azure settings - only required if an Azure CMK is used.
Show child attributesHide child attributes
- azure_tenant_idstring
- azure_cmk_access_connector_idstring
- azure_cmk_managed_identity_idstring
- propertiesobject
A map of key-value properties attached to the securable.
- optionsobject
A map of key-value properties attached to the securable.
Get GA
GET
Gets the specified catalog in a metastore. The caller must be a metastore admin, the owner of the catalog, or a user that has the USE_CATALOG privilege set for their account.
API scopes: unity-catalog
Parameters
- name_argstringpath
The name of the catalog.
- include_browsebooleanquery
Whether to include catalogs in the response for which the principal can only access selective metadata for
Response
Returns the CatalogInfo object.
List GA
GET
Gets an array of catalogs in the metastore. If the caller is the metastore admin, all catalogs will be retrieved. Otherwise, only catalogs owned by the caller (or for which the caller has the USE_CATALOG privilege) will be retrieved. There is no guarantee of a specific ordering of the elements in the array.
NOTE: we recommend using max_results=0 to use the paginated version of this API. Unpaginated calls will be deprecated soon.
PAGINATION BEHAVIOR: When using pagination (max_results >= 0), a page may contain zero results while still providing a next_page_token. Clients must continue reading pages until next_page_token is absent, which is the only indication that the end of results has been reached.
API scopes: unity-catalog
Parameters
- include_browsebooleanquery
Whether to include catalogs in the response for which the principal can only access selective metadata for
- max_resultsint32query
Maximum number of catalogs to return.
- when set to 0, the page length is set to a server configured value (recommended);
- when set to a value greater than 0, the page length is the minimum of this value and a server configured value;
- when set to a value less than 0, an invalid parameter error is returned;
- If not set, all valid catalogs are returned (not recommended).
- Note: The number of returned catalogs might be less than the specified max_results size, even zero. The only definitive indication that no further catalogs can be fetched is when the next_page_token is unset from the response.
- page_tokenstringquery
Opaque pagination token to go to next page based on previous query.
- include_unboundbooleanquery
Whether to include catalogs not bound to the workspace. Effective only if the user has permission to update the catalog–workspace binding.
Response
Returns a list of CatalogInfo objects.
Create GA
POST
Creates a new catalog instance in the parent metastore if the caller is a metastore admin or has the CREATE_CATALOG privilege.
API scopes: unity-catalog
Request body
- namestring
Name of catalog.
- ownerstring
Username of current owner of catalog.
- commentstring
User-provided free-form text description.
- storage_rootstring
Storage root URL for managed tables within catalog.
- enable_predictive_optimizationstring
Whether predictive optimization should be enabled for this object and objects under it.
- catalog_typestring
- provider_namestring
The name of delta sharing provider.
A Delta Sharing catalog is a catalog that is based on a Delta share on a remote sharing server.
- connection_namestring
The name of the connection to an external data source.
- metastore_idstring
Unique identifier of parent metastore.
- created_atint64
Time at which this catalog was created, in epoch milliseconds.
- created_bystring
Username of catalog creator.
- updated_atint64
Time at which this catalog was last modified, in epoch milliseconds.
- updated_bystring
Username of user who last modified catalog.
- storage_locationstring
Storage Location URL (full path) for managed tables within catalog.
- isolation_modestring
Whether the current securable is accessible from all workspaces or a specific set of workspaces.
- effective_predictive_optimization_flagobject
Show child attributesHide child attributes
- valuestring
Whether predictive optimization should be enabled for this object and objects under it.
- inherited_from_typestring
The type of the object from which the flag was inherited. If there was no inheritance, this field is left blank.
- inherited_from_namestring
The name of the object from which the flag was inherited. If there was no inheritance, this field is left blank.
- browse_onlyboolean
Indicates whether the principal is limited to retrieving metadata for the associated object through the BROWSE privilege when include_browse is enabled in the request.
- provisioning_infoobject
Show child attributesHide child attributes
- statestring
The provisioning state of the resource.
- full_namestring
The full name of the catalog. Corresponds with the name field.
- securable_typestring
- custom_max_retention_hoursint64Public Preview
Custom maximum retention period in hours for the catalog
- managed_encryption_settingsobject
Control CMK encryption for managed catalog data
Show child attributesHide child attributes
- customer_managed_key_idstring
the CMK uuid in AWS and GCP, null otherwise.
- azure_key_vault_key_idstring
the AKV URL in Azure, null otherwise.
- azure_encryption_settingsobject
optional Azure settings - only required if an Azure CMK is used.
Show child attributesHide child attributes
- azure_tenant_idstring
- azure_cmk_access_connector_idstring
- azure_cmk_managed_identity_idstring
- propertiesobject
A map of key-value properties attached to the securable.
- optionsobject
A map of key-value properties attached to the securable.
Response
Returns the CatalogInfo object.
Update GA
PATCH
Updates the catalog that matches the supplied name. The caller must be either the owner of the catalog, or a metastore admin (when changing the owner field of the catalog).
API scopes: unity-catalog
Parameters
- name_argstringpath
The name of the catalog.
Request body
- new_namestring
New name for the catalog.
- namestring
Name of catalog.
- ownerstring
Username of current owner of catalog.
- commentstring
User-provided free-form text description.
- storage_rootstring
Storage root URL for managed tables within catalog.
- enable_predictive_optimizationstring
Whether predictive optimization should be enabled for this object and objects under it.
- catalog_typestring
- provider_namestring
The name of delta sharing provider.
A Delta Sharing catalog is a catalog that is based on a Delta share on a remote sharing server.
- connection_namestring
The name of the connection to an external data source.
- metastore_idstring
Unique identifier of parent metastore.
- created_atint64
Time at which this catalog was created, in epoch milliseconds.
- created_bystring
Username of catalog creator.
- updated_atint64
Time at which this catalog was last modified, in epoch milliseconds.
- updated_bystring
Username of user who last modified catalog.
- storage_locationstring
Storage Location URL (full path) for managed tables within catalog.
- isolation_modestring
Whether the current securable is accessible from all workspaces or a specific set of workspaces.
- effective_predictive_optimization_flagobject
Show child attributesHide child attributes
- valuestring
Whether predictive optimization should be enabled for this object and objects under it.
- inherited_from_typestring
The type of the object from which the flag was inherited. If there was no inheritance, this field is left blank.
- inherited_from_namestring
The name of the object from which the flag was inherited. If there was no inheritance, this field is left blank.
- browse_onlyboolean
Indicates whether the principal is limited to retrieving metadata for the associated object through the BROWSE privilege when include_browse is enabled in the request.
- provisioning_infoobject
Show child attributesHide child attributes
- statestring
The provisioning state of the resource.
- full_namestring
The full name of the catalog. Corresponds with the name field.
- securable_typestring
- custom_max_retention_hoursint64Public Preview
Custom maximum retention period in hours for the catalog
- managed_encryption_settingsobject
Control CMK encryption for managed catalog data
Show child attributesHide child attributes
- customer_managed_key_idstring
the CMK uuid in AWS and GCP, null otherwise.
- azure_key_vault_key_idstring
the AKV URL in Azure, null otherwise.
- azure_encryption_settingsobject
optional Azure settings - only required if an Azure CMK is used.
Show child attributesHide child attributes
- azure_tenant_idstring
- azure_cmk_access_connector_idstring
- azure_cmk_managed_identity_idstring
- propertiesobject
A map of key-value properties attached to the securable.
- optionsobject
A map of key-value properties attached to the securable.
Response
Returns the CatalogInfo object.
Delete GA
DELETE
Deletes the catalog that matches the supplied name. The caller must be a metastore admin or the owner of the catalog.
API scopes: unity-catalog
Parameters
- name_argstringpath
The name of the catalog.
- forcebooleanquery
Force deletion even if the catalog is not empty.